Bug 198021 - Review Request: perl-Log-Dispatch-Config
Review Request: perl-Log-Dispatch-Config
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 198023
  Show dependency treegraph
 
Reported: 2006-07-07 23:52 EDT by Chris Weyl
Modified: 2012-09-03 13:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-08 20:37:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-07-07 23:52:05 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-Log-Dispatch-Config.spec
SRPM URL:
http://home.comcast.net/~ckweyl/perl-Log-Dispatch-Config-1.01-0.fc5.src.rpm

Description: 
Log::Dispatch::Config is a subclass of Log::Dispatch and provides a way to
configure Log::Dispatch object with configulation file (default, in AppConfig
format).
Comment 1 Jason Tibbitts 2006-07-08 00:43:20 EDT
Just a note that there's an empty line at the top of your .spec.

* source files match upstream:
   9d9b7b5d3426819e6b6e14e91b867242  Log-Dispatch-Config-1.01.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
O BuildRequires are proper (BR: perl is not required).
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* noarch package, so no debuginfo.
* final provides and requires are sane:
   perl(Log::Dispatch::Config) = 1.01
   perl(Log::Dispatch::Configurator) = 1.00
   perl(Log::Dispatch::Configurator::AppConfig) = 1.00
   perl-Log-Dispatch-Config = 1.01-0.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(AppConfig)
   perl(Log::Dispatch) >= 2.00
   perl(Log::Dispatch::Configurator)
   perl(base)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=15, Tests=48,  4 wallclock secs ( 0.68 cusr +  0.27 csys =  0.95 CPU)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 David Timms 2006-07-08 11:34:24 EDT
* "...object with configulation file..."
The upstream developer's summary used the word configulation, which is copied
into the spec file. I don't think it's a real word. If it was changed to
configuration, then package searches are more likely to be successful.
Comment 3 Jason Tibbitts 2006-07-08 12:24:57 EDT
Oops, my brain simply read over the typo.  Time for a script to spellcheck
Symmary: and %description, I suppose.
Comment 4 Chris Weyl 2006-07-08 14:22:13 EDT
Hm, I wonder if we can get rpmlint to do that.  I glossed right over it, too...
Comment 5 Jason Tibbitts 2006-07-08 14:57:14 EDT
rpmlint does check for some common misspellings.  It should be pretty easy to
have it call aspell instead if it's installed.
Comment 6 Chris Weyl 2006-07-08 20:37:23 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-4, FC-5)
+Close bug

Thanks for the review! :)
Comment 7 Petr Pisar 2012-09-03 09:31:04 EDT
Package Change Request
======================
Package Name: perl-Log-Dispatch-Config
New Branches: el6
Owners: slaanesh
InitialCC: perl-sig
Comment 8 Gwyn Ciesla 2012-09-03 13:21:47 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.